Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751259 - net-wireless/gnuradio-3.8.2.0: install failed with uhd and gcc10: error: ‘_1’ was not declared in this scope
Summary: net-wireless/gnuradio-3.8.2.0: install failed with uhd and gcc10: error: ‘_1’...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-10-26 02:59 UTC by vowstar
Modified: 2020-12-19 05:56 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (emerge-build.log.xz,39.73 KB, text/plain)
2020-10-26 03:05 UTC, vowstar
Details
emerge --info =net-wireless/gnuradio-3.8.2.0 (emerge-info,21.50 KB, text/plain)
2020-10-26 03:06 UTC, vowstar
Details
the patch which could fix this issue (0001_fix_cpp_placeholder.patch,378 bytes, patch)
2020-10-26 03:57 UTC, vowstar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vowstar 2020-10-26 02:59:56 UTC
Whin I emerge net-wireless/gnuradio using these flags, I got a compile error.

USE="alsa analog audio digital filter qt5 sdl utils -channels -doc -dtv -examples -fec -grc -jack -modtool -oss -performance-counters -portaudio -test -trellis -uhd -vocoder -wavelet -zeromq" ABI_X86="(64)" PYTHON_SINGLE_TARGET="python3_7 -python3_6 -python3_8"

The error is:

/var/tmp/portage/net-wireless/gnuradio-3.8.2.0/work/gnuradio-3.8.2.0/gr-uhd/lib/usrp_block_impl.cc: In member function ‘bool gr::uhd::usrp_block_impl::_check_mboard_sensors_locked()’:
/var/tmp/portage/net-wireless/gnuradio-3.8.2.0/work/gnuradio-3.8.2.0/gr-uhd/lib/usrp_block_impl.cc:266:64: error: ‘_1’ was not declared in this scope
  266 |                     &usrp_block_impl::get_mboard_sensor, this, _1, mboard_index))) {
      |  

Reproducible: Always

Steps to Reproduce:
1. use alsa analog audio digital filter qt5 sdl utils
2. set gcc 10.2.0 as default compiler
3. install dev-libs/boost-1.74.0-r1
Actual Results:  
emerge failed with error: ‘_1’ was not declared in this scope

Expected Results:  
emerge success

A patch may needed in the ebuild to fix this issue.
Comment 1 vowstar 2020-10-26 03:05:23 UTC
Created attachment 668564 [details]
build.log

The build log
Comment 2 vowstar 2020-10-26 03:06:02 UTC
Created attachment 668567 [details]
emerge --info =net-wireless/gnuradio-3.8.2.0
Comment 3 vowstar 2020-10-26 03:19:29 UTC
It may related to boost >= 1.73: `_1` placeholders not globally defined
Comment 4 vowstar 2020-10-26 03:57:54 UTC
Created attachment 668573 [details, diff]
the patch which could fix this issue

I've tested this patch and it works and this issue will fixed after applied this patch.
Comment 5 vowstar 2020-10-26 05:22:12 UTC
Patch have PR to upstream https://github.com/gnuradio/gnuradio/pull/3887
Comment 6 Sam James archtester gentoo-dev Security 2020-10-31 07:19:22 UTC
Apprently fixed upstream? https://github.com/gnuradio/gnuradio/pull/3887#issuecomment-718867290
Comment 7 vowstar 2020-11-01 08:55:14 UTC
(In reply to Sam James from comment #6)
> Apprently fixed upstream?
> https://github.com/gnuradio/gnuradio/pull/3887#issuecomment-718867290

No, need more fix. This a new issue.
Comment 8 Rick Farina (Zero_Chaos) gentoo-dev 2020-12-17 16:21:41 UTC
I dropped the accepted upstream fix in the tree.  I wish they would make a release for this, but they didn't.  Fixed inline as it's a build time fix.
Comment 9 vowstar 2020-12-19 05:56:10 UTC
(In reply to Rick Farina (Zero_Chaos) from comment #8)
> I dropped the accepted upstream fix in the tree.  I wish they would make a
> release for this, but they didn't.  Fixed inline as it's a build time fix.

Thank you.

https://github.com/gnuradio/gnuradio/pull/3887

The PR is changed and finally merged, will in 3.9 release.

Backport to 3.8 PR:

https://github.com/gnuradio/gnuradio/pull/4005